# Engine

The engine contains a map of all open databases. It is also responsible for opening and creating new databases. This is a singleton class.

Methods
static Engine | getInstance()
static Engine | getInstance()
Session | createSession(ConnectionInfo ci) Open a database connection with the given connection information.
Session | createSession(ConnectionInfo ci) Open a database connection with the given connection information. Parameters: ci - the connection information Returns: the session